Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int64>

The maximum number of resource_attribute keys to return. The service may return fewer than this value. If unspecified, at most 50 resource_attribute keys will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken
string

A page token, received from a previous ListResourceAttributeKeys call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListResourceAttributeKeys must match the call that provided the page token.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are resource_attribute_key_id, name, description, key_type, and created_date. Archive state is controlled via the include_archived field below, not via filter. For further information about how to use CELs, please refer to this guide.

orderBy
string

How to order the retrieved resource_attribute keys. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date, modified_date, and name. If left empty, items are ordered by created_date in descending order (newest-first). For more information about the format of this field, read this Example: "created_date desc,name"

includeArchived
boolean

Whether to include archived resource_attribute keys. Defaults to false.

Response

A successful response.

resourceAttributeKeys
object[]
nextPageToken
string